A busca carrega apenas quando você a usa. Explore todas as categorias abaixo.

Projetos e conteúdo

Obter perfil do projeto

Consulte o perfil de marca de um projeto (slogan, voz, público-alvo, objetivos, paleta e mais); profile é null quando não existe.

POST /studio-api/projects/profile/get

Contrato revisado: · sha256:563d2d581da0ad29

Visão geral

Consulte o perfil de marca de um projeto (slogan, voz, público-alvo, objetivos, paleta e mais); profile é null quando não existe.

Uma resposta HTTP bem-sucedida pode significar que uma requisição foi aceita, não concluída. Para trabalho em segundo plano, salve o ID retornado e consulte a mesma operação até terminar. Um post agendado ou aceito só está publicado quando a plataforma confirma; um timeout do cliente não comprova o resultado.

Autenticação e permissões

Classes de credenciais aceitas
user_session, delegated_oauth, personal_access_token
Capacidade delegada
agent:operate
Função mínima no workspace
viewer
Escopo de acesso
Recursos que este usuário tem autorização para acessar
Consentimento para todos os workspaces obrigatório
Não
Altera o estado
Não
Quando a operação estiver concluída
synchronous_http_response

Um token só pode usar os direitos do seu proprietário. Cada requisição verifica participação no workspace, propriedade de recursos, workspaces selecionados e capacidades concedidas. Os perfis core e full mudam as ferramentas exibidas; não concedem acesso.

Campos da requisição

Obrigatório significa obrigatório dentro do objeto pai e da ramificação selecionada. Um filho obrigatório não torna obrigatório um pai opcional. As regras e nomes de campos abaixo são copiados do contrato.

Campos da requisição
Campo / ramificaçãoTipo / obrigatórioRestrições
$objectObrigatório no objeto pai
  • additionalProperties: false
project_idstringObrigatório no objeto pai
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
JSON Schema completo
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "project_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    }
  },
  "required": [
    "project_id"
  ],
  "additionalProperties": false
}

Resposta e conclusão

Códigos HTTP de sucesso: 200. Quando a operação estiver concluída: synchronous_http_response.

Uma resposta HTTP bem-sucedida pode significar que uma requisição foi aceita, não concluída. Para trabalho em segundo plano, salve o ID retornado e consulte a mesma operação até terminar. Um post agendado ou aceito só está publicado quando a plataforma confirma; um timeout do cliente não comprova o resultado.

Obrigatório significa obrigatório dentro do objeto pai e da ramificação selecionada. Um filho obrigatório não torna obrigatório um pai opcional. As regras e nomes de campos abaixo são copiados do contrato.

Resposta e conclusão
Campo / ramificaçãoTipo / obrigatórioRestrições
$objectObrigatório no objeto pai—
contract_versionstringObrigatório no objeto pai
  • const: "project/v1"
profileobject | nullObrigatório no objeto pai—
profileanyOf 1objectObrigatório no objeto pai—
profile.project_idanyOf 1stringObrigatório no objeto pai
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
profile.workspace_idanyOf 1stringObrigatório no objeto pai
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
profile.taglineanyOf 1string | nullObrigatório no objeto pai—
profile.taglineanyOf 1 / anyOf 1stringObrigatório no objeto pai—
profile.taglineanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.descriptionanyOf 1string | nullObrigatório no objeto pai—
profile.descriptionanyOf 1 / anyOf 1stringObrigatório no objeto pai—
profile.descriptionanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.voiceanyOf 1string | nullObrigatório no objeto pai—
profile.voiceanyOf 1 / anyOf 1stringObrigatório no objeto pai—
profile.voiceanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.target_audienceanyOf 1string | nullObrigatório no objeto pai—
profile.target_audienceanyOf 1 / anyOf 1stringObrigatório no objeto pai—
profile.target_audienceanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.color_paletteanyOf 1arrayObrigatório no objeto pai—
profile.color_palette[]anyOf 1stringOpcional / item—
profile.goalsanyOf 1arrayObrigatório no objeto pai—
profile.goals[]anyOf 1stringOpcional / item—
profile.no_go_topicsanyOf 1arrayObrigatório no objeto pai—
profile.no_go_topics[]anyOf 1stringOpcional / item—
profile.language_primaryanyOf 1stringObrigatório no objeto pai—
profile.positioninganyOf 1string | nullObrigatório no objeto pai—
profile.positioninganyOf 1 / anyOf 1stringObrigatório no objeto pai—
profile.positioninganyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.uspanyOf 1string | nullObrigatório no objeto pai—
profile.uspanyOf 1 / anyOf 1stringObrigatório no objeto pai—
profile.uspanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.visual_identityanyOf 1object | nullObrigatório no objeto pai—
profile.visual_identityanyOf 1 / anyOf 1objectObrigatório no objeto pai
  • additionalProperties: {}
profile.visual_identity.*anyOf 1 / anyOf 1any JSON valueOpcional / item—
profile.visual_identityanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.forbidden_claimsanyOf 1arrayObrigatório no objeto pai—
profile.forbidden_claims[]anyOf 1stringOpcional / item—
profile.north_star_metricanyOf 1string | nullObrigatório no objeto pai—
profile.north_star_metricanyOf 1 / anyOf 1stringObrigatório no objeto pai—
profile.north_star_metricanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.posting_cadenceanyOf 1object | nullObrigatório no objeto pai—
profile.posting_cadenceanyOf 1 / anyOf 1objectObrigatório no objeto pai
  • additionalProperties: {}
profile.posting_cadence.*anyOf 1 / anyOf 1any JSON valueOpcional / item—
profile.posting_cadenceanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.app_store_url_iosanyOf 1string | nullObrigatório no objeto pai—
profile.app_store_url_iosanyOf 1 / anyOf 1stringObrigatório no objeto pai—
profile.app_store_url_iosanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.app_store_url_androidanyOf 1string | nullObrigatório no objeto pai—
profile.app_store_url_androidanyOf 1 / anyOf 1stringObrigatório no objeto pai—
profile.app_store_url_androidanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.app_metadataanyOf 1objectObrigatório no objeto pai
  • additionalProperties: {}
profile.app_metadata.*anyOf 1any JSON valueOpcional / item—
profile.profile_versionanyOf 1integerObrigatório no objeto pai
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
profile.updated_byanyOf 1string | nullObrigatório no objeto pai—
profile.updated_byanyOf 1 / anyOf 1stringObrigatório no objeto pai
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
profile.updated_byanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.updated_by_kindanyOf 1stringObrigatório no objeto pai
  • enum: ["jwt","api_key","delegated_ai","migration"]
profile.updated_by_api_key_idanyOf 1string | nullObrigatório no objeto pai—
profile.updated_by_api_key_idanyOf 1 / anyOf 1stringObrigatório no objeto pai
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
profile.updated_by_api_key_idanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.updated_by_delegated_grant_idanyOf 1string | nullObrigatório no objeto pai—
profile.updated_by_delegated_grant_idanyOf 1 / anyOf 1stringObrigatório no objeto pai
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
profile.updated_by_delegated_grant_idanyOf 1 / anyOf 2nullObrigatório no objeto pai—
profile.created_atanyOf 1stringObrigatório no objeto pai
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
profile.updated_atanyOf 1stringObrigatório no objeto pai
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
profileanyOf 2nullObrigatório no objeto pai—
JSON Schema completo
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "contract_version": {
      "type": "string",
      "const": "project/v1"
    },
    "profile": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "project_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "workspace_id": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "tagline": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "description": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "voice": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "target_audience": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "color_palette": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "goals": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "no_go_topics": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "language_primary": {
              "type": "string"
            },
            "positioning": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "usp": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "visual_identity": {
              "anyOf": [
                {
                  "type": "object",
                  "propertyNames": {
                    "type": "string"
                  },
                  "additionalProperties": {}
                },
                {
                  "type": "null"
                }
              ]
            },
            "forbidden_claims": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "north_star_metric": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "posting_cadence": {
              "anyOf": [
                {
                  "type": "object",
                  "propertyNames": {
                    "type": "string"
                  },
                  "additionalProperties": {}
                },
                {
                  "type": "null"
                }
              ]
            },
            "app_store_url_ios": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "app_store_url_android": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "app_metadata": {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            "profile_version": {
              "type": "integer",
              "exclusiveMinimum": 0,
              "maximum": 9007199254740991
            },
            "updated_by": {
              "anyOf": [
                {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                {
                  "type": "null"
                }
              ]
            },
            "updated_by_kind": {
              "type": "string",
              "enum": [
                "jwt",
                "api_key",
                "delegated_ai",
                "migration"
              ]
            },
            "updated_by_api_key_id": {
              "anyOf": [
                {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                {
                  "type": "null"
                }
              ]
            },
            "updated_by_delegated_grant_id": {
              "anyOf": [
                {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                {
                  "type": "null"
                }
              ]
            },
            "created_at": {
              "type": "string",
              "format": "date-time",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
            },
            "updated_at": {
              "type": "string",
              "format": "date-time",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
            }
          },
          "required": [
            "project_id",
            "workspace_id",
            "tagline",
            "description",
            "voice",
            "target_audience",
            "color_palette",
            "goals",
            "no_go_topics",
            "language_primary",
            "positioning",
            "usp",
            "visual_identity",
            "forbidden_claims",
            "north_star_metric",
            "posting_cadence",
            "app_store_url_ios",
            "app_store_url_android",
            "app_metadata",
            "profile_version",
            "updated_by",
            "updated_by_kind",
            "updated_by_api_key_id",
            "updated_by_delegated_grant_id",
            "created_at",
            "updated_at"
          ]
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "contract_version",
    "profile"
  ]
}

Erros e repetições seguras

Confira o status HTTP e o corpo da resposta. Um erro de validação 400 pode conter ZodError; erros do handler usam os campos error, message e code. Guarde request_id ou x-request-id para diagnóstico, sem credenciais. Corrija erros de acesso 401/403 antes de tentar novamente e siga Retry-After para 429. Se uma gravação for incerta ou retornar 5xx, consulte primeiro o resultado existente. Reutilize uma chave de idempotência somente quando houver suporte; o comportamento de repetição varia por operação e não garante entrega exatamente uma vez.

Guia de solução de problemas

Exemplos

Estes exemplos usam valores fictícios verificados conforme os schemas. Substitua os IDs por aqueles que você tem autorização para usar, a mídia por ativos prontos e as datas pelo horário de publicação confirmado. Confira a elegibilidade da conta antes de enviar uma gravação. Esta página não envia requisições de API.

Defina SOSOAPI_ACCESS_TOKEN no servidor como uma credencial aceita por esta operação e mantenha-a fora do código do navegador. Para agentes, use sosoapi auth login para entrar pelo navegador e deixe a CLI renovar suas credenciais.

request.json

{
  "project_id": "11111111-1111-4111-8111-111111111111"
}

cURL

curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/projects/profile/get" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json

JavaScript

// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/projects/profile/get", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "project_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.

CLI

npx sosoapi api post /studio-api/projects/profile/get < request.json

Exemplo de resposta sintética

{
  "contract_version": "project/v1",
  "profile": null
}

MCP: sosoapi_get_project_profile